# RPM specfile for libvorbis module
# Generated Fri Jul 13 14:45:18 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.17 2001/07/09 02:14:59 frb Exp $

%define nam	libvorbis
%define ver	1.0rc1

Name:     	libvorbis0
Version: 	1.0rc1
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.xiph.org/
Source0:	libvorbis-1.0rc1.tar.gz
Summary:	The Vorbis General Audio Compression Codec
Group:		Libraries/Multimedia
Provides:	libvorbis
Obsoletes:	oggvorbis

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

%files
%defattr(-, root, root)
%doc README
/usr/lib/libvorbis.so.*
/usr/lib/libvorbisfile.so.*
/usr/lib/libvorbisenc.so.*


%post
ldconfig

%package -n libvorbis0-devel
Summary:	Development library for OGG Vorbis
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	libvorbis-devel = %{PACKAGE_VERSION}
Obsoletes:	oggvorbis-devel

%description -n libvorbis0-devel
Ogg Vorbis is a fully Open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for high quality (44.1-48.0kHz,
 16+ bit, polyphonic) audio and music at fixed and variable bitrates 
 from 16 to 128 kbps/channel. This places Vorbis in the same class as 
 audio representations including MPEG-1 audio layer 3, MPEG-4 
audio (AAC and TwinVQ), and PAC.

%files -n libvorbis0-devel
%defattr(-, root, root)
%doc doc/v-comment.html doc/vorbisword2.png doc/white-ogg.png doc/programming.html doc/vorbis.html doc/wait.png doc/white-xifish.png doc/vorbis-clip.txt doc/vorbis-errors.txt doc/vorbisfile doc/vorbisenc
/usr/share/aclocal/vorbis.m4
/usr/include/vorbis/*.h
/usr/lib/*.a
/usr/lib/*.la
/usr/lib/*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libvorbis-1.0rc1
    ;;
all)
%setup  -q -n libvorbis-1.0rc1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var --with-ogg-prefix=/usr
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
